asciinema-auth(1)

NAME
asciinema-auth - Authenticate this CLI with an asciinema server account

SYNOPSIS
asciinema auth [--server-url] [-q|--quiet] [-h|--help]

DESCRIPTION
Authenticate with an asciinema server.

Creates a user account link between your local CLI and an asciinema server account. Optional for uploading with the upload command, required for remote streaming with the stream and session commands.

OPTIONS

--server-url=URL
    Specify a custom asciinema server URL for authenticating with self-hosted servers. Use the base server URL (e.g., https://asciinema.example.com). Can also be set via environment variable ASCIINEMA_SERVER_URL or config file option server.url. If no server URL is configured via this option, environment variable, or config file, you will be prompted to choose one (defaulting to asciinema.org), which will be saved as a default.

-q, --quiet
    Suppress diagnostic messages and progress indicators. Only error messages will be displayed.

-h, --help
    Print help (see a summary with '-h')